Cyberduck Mountain Duck CLI

#1583 closed defect (fixed)

Version short string should be shorter

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 2.8.4
Component: core Version: 2.8.3
Severity: trivial Keywords:
Cc: Architecture:
Platform:

Description

Now that Leopard supports a "always open in...' where you can (finally) define the view, I've set my Applications folder to open in 'list' view, showing only the 'name' and 'version number'.

CyberDuck stands out because it includes "Version" in the ShortVersionString field.

Can you shorten this to just the number?

Attachments (1)

sample-screenshot.png (102.7 KB) - added by anonymous on Jan 12, 2008 at 8:24:24 PM.

Download all attachments as: .zip

Change History (3)

Changed on Jan 12, 2008 at 8:24:24 PM by anonymous

comment:1 Changed on Jan 13, 2008 at 2:43:14 PM by dkocher

  • Milestone set to 2.8.4
  • Status changed from new to assigned

Obwohl er immer in einer Spalte "Version" oder hinter einem Label "Version:" auftaucht, beginnt er zusätzlich mit "Version ", wodurch das dupliziert ist, bzw. die Versionnummer in der Spalten (Listenansicht Finder) abgeschnitten wird.

Das sollte nur die nackte Nummer "2.8.2" sein, die Build-Nummer gehört ebenso nur in den Get Info String - das wird sonst einfach zu lang.

Also, aus der Zeile in der InfoPlist.strings in jedem xxxx.lproj folder

CFBundleShortVersionString = "Version 2.8.2 (3346)";

sollte nur

CFBundleShortVersionString = "2.8.2";

werden.

Noch besser:

Da die Strings in jedem Ordner xxxx.lproj eh komplett identisch sind, sollte man die InfoPlist.strings alle einsparen und stattdessen die drei Keys nur in der info.plist platzieren - das spart das Aktualisieren jeder Kopie:

<key>CFBundleGetInfoString</key> <string>2.8.2 (3346), Copyright 2001-2007 David V. Kocher</string>

<key>CFBundleShortVersionString</key> <string>2.8.2</string>

<key>NSHumanReadableCopyright</key> <string>Copyright 2001-2007 David V. Kocher</string>

Hinweis hierzu noch: da der Get Info String im gleichnamigen Fenster ebenfalls hinter "Version:" erscheint, sollte er gleich mit der Versionsnummer beginnen (s.o.) und nicht den Programmnamen wiederholen.

comment:2 Changed on Jan 16, 2008 at 2:20:33 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r3435.

Note: See TracTickets for help on using tickets.
swiss made software